Wallet
Retrieve your workspace's wallet balance.
Get Balance
GET /v1/wallet/balanceGet the current wallet balance for your workspace.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <api-key> |
Example Request
bash
curl "https://api.monid.ai/v1/wallet/balance" \
-H "Authorization: Bearer monid_live_..."typescript
const response = await fetch("https://api.monid.ai/v1/wallet/balance", {
headers: { "Authorization": "Bearer monid_live_..." },
});
const data = await response.json();python
import requests
response = requests.get(
"https://api.monid.ai/v1/wallet/balance",
headers={"Authorization": "Bearer monid_live_..."},
)
data = response.json()200 OK
| Field | Type | Description |
|---|---|---|
balance | object | Current balance |
balance.value | number | Balance in dollars |
balance.currency | string | "USD" |
Example Response
json
{
"balance": {
"value": 2.85,
"currency": "USD"
}
}Top Up
To add credits to your wallet, visit the Monid web app. Payments are processed via Stripe.